Debian Bug report logs - #320075
RM: falconseye -- RoQA; orphaned >3years with no interest, yet another nethack-fork, dead upstream

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>

Date: Tue, 26 Jul 2005 21:33:13 UTC

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Jonathan Hseu <vomjom@debian.org>, <wnpp@debian.org>:
Bug#320075; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
New Bug report received and forwarded. Copy sent to Jonathan Hseu <vomjom@debian.org>, <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: falconseye -- Data files for Falcon's Eye
Date: Tue, 26 Jul 2005 22:38:13 +0200
Package: wnpp
Severity: normal

The current maintainer of falconseye, Jonathan Hseu <vomjom@debian.org>,
has orphaned this package.  If you want to be the new maintainer, please
take it -- see http://www.debian.org/devel/wnpp/index.html#howto-o for
detailed instructions how to adopt a package properly.

Some information about this package:

Package: falconseye
Binary: falconseye, falconseye-data
Version: 1.9.3-13
Priority: optional
Section: games
Maintainer: Jonathan Hseu <vomjom@debian.org>
Build-Depends: debhelper (>> 3.0.0), libsdl1.2-dev (>= 1.2.3+cvs20020303-1), libncurses5-dev, bison, bsdmainutils, groff-base, flex
Architecture: any
Standards-Version: 3.5.2
Format: 1.0
Directory: pool/main/f/falconseye
Files: a409b785c5e6dd9be72df4fb5e1d8ad8 690 falconseye_1.9.3-13.dsc
 1f5a837d76b64bf52cfe0033924fb37e 8237462 falconseye_1.9.3.orig.tar.gz
 91f9c7be8d43380519b7ccd13ce3c527 14833 falconseye_1.9.3-13.diff.gz

Package: falconseye
Priority: optional
Section: games
Installed-Size: 2176
Maintainer: Jonathan Hseu <vomjom@debian.org>
Architecture: i386
Version: 1.9.3-13
Depends: falconseye-data (>= 1.9.3-9), libc6 (>= 2.3.2.ds1-4), libncurses5 (>= 5.4-1), libsdl1.2debian (>> 1.2.7-0)
Recommends: timidity | playmidi
Filename: pool/main/f/falconseye/falconseye_1.9.3-13_i386.deb
Size: 848986
MD5sum: 7f73931a7d63e7412c98c5995cef0437
Description: A port of NetHack using SDL
 Falcon's Eye is a mouse-driven interface for NetHack that enhances the visuals,
 audio and accessibility of the game, yet retains all the original gameplay and
 game features.
 .
 NetHack is a single player dungeon exploration game that runs on a wide variety
 of computer systems, with a variety of graphical and text interfaces all using
 the same game engine. Unlike many other Dungeons & Dragons-inspired games, the
 emphasis in NetHack is on discovering the detail of the dungeon and not simply
 killing everything in sight - in fact, killing everything in sight is a good
 way to die quickly. Each game presents a different landscape - the random
 number generator provides an essentially unlimited number of variations of the
 dungeon and its denizens to be discovered by the player in one of a number of
 characters: you can pick your race, your role, and your gender.
Tag: game::rpg, game::rpg::rogue, uitoolkit::sdl, use::gaming

Package: falconseye-data
Priority: optional
Section: games
Installed-Size: 10768
Maintainer: Jonathan Hseu <vomjom@debian.org>
Architecture: all
Source: falconseye
Version: 1.9.3-13
Filename: pool/main/f/falconseye/falconseye-data_1.9.3-13_all.deb
Size: 4990884
MD5sum: 36860a0442da6b4a82c1536dd5d7e08b
Description: Data files for Falcon's Eye
 Falcon's Eye is a mouse-driven interface for NetHack that enhances the visuals,
 audio and accessibility of the game, yet retains all the original gameplay and
 game features.
 .
 NetHack is a single player dungeon exploration game that runs on a wide variety
 of computer systems, with a variety of graphical and text interfaces all using
 the same game engine. Unlike many other Dungeons & Dragons-inspired games, the
 emphasis in NetHack is on discovering the detail of the dungeon and not simply
 killing everything in sight - in fact, killing everything in sight is a good
 way to die quickly. Each game presents a different landscape - the random
 number generator provides an essentially unlimited number of variations of the
 dungeon and its denizens to be discovered by the player in one of a number of
 characters: you can pick your race, your role, and your gender.
Tag: game::rpg, game::rpg::rogue, role::aux-data, special::auto-inst-parts, use::gaming



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#320075; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #10 received at 320075@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: 320075@bugs.debian.org
Subject: from the old maintainer
Date: Wed, 27 Jul 2005 00:28:14 +0100
FWIW, the old maintainer (Jonathan Hseu) says the following about this
package: "falconseye upstream is no longer updated and has quite a few
important bugs, so someone should take that up only _if_ they are
willing to fix them."
-- 
Martin Michlmayr
http://www.cyrius.com/



Changed Bug title. Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#320075; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs3@bonedaddy.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #17 received at 320075@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs3@bonedaddy.net>
To: 320075@bugs.debian.org
Subject: falconseye developments
Date: Fri, 19 Aug 2005 09:51:55 +0800
[Message part 1 (text/plain, inline)]
Hi,

Some info I found out while looking for the upstream status of
falconseye:

There is an unofficial version 1.9.4a here (by Jeroen Demeyer), which is
in fedora atm:
http://cage.rug.ac.be/~jdemeyer/nethack/

There is a fork of Falcon's Eye here:
http://www.darkarts.co.za/projects/vultures/
It is split into two packages, Vulture's Eye and Vulture's Claw, the
first based on nethack and the second on slashem. Fedora will be
switching to this soonish.

I suggest that a similar transition to the tuxracer -> planetpenguin be
done if someone feels like taking this up (if I feel motivated enough
and get time, I will do this myself). Perhaps initially 1.9.4a could be
uploaded, as well as turning off sounds, music (since these are quite
broken) and global game scores in /var (since the binary is not setgid
games, resulting in annoying brokenness for new users not in the games
group).

-- 
bye,
pabs

http://qa.debian.org/developer.php?login=Paul+Wise&comaint=yes
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#320075; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs3@bonedaddy.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #22 received at 320075@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs3@bonedaddy.net>
To: 320075@bugs.debian.org
Subject: Re: falconseye developments
Date: Sat, 20 Aug 2005 19:37:34 +0800
[Message part 1 (text/plain, inline)]
The upstream developer wrote this about his intentions wrt Falcon's Eye:

> I intend to still work on NetHack - Falcon's Eye. It has taken 
> much longer than I have thought earlier, but I do intend to make
> a new release of the game later.
> 
> Other people have also made updates and new versions; your recent 
> newsgroup post mentioned three such works. There may be some others -
> I seem to remember some other updates based on newer versions of
> NetHack; you may be able to find posts about them on the message
> forums.

-- 
bye,
pabs

http://qa.debian.org/developer.php?login=Paul+Wise&comaint=yes
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#320075; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Patrick Winnertz <winnie@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #27 received at 320075@bugs.debian.org (full text, mbox):

From: Patrick Winnertz <winnie@debian.org>
To: 320075@bugs.debian.org
Subject: any progress?
Date: Tue, 12 Feb 2008 10:04:54 +0100
[Message part 1 (text/plain, inline)]
Hey..
is someone working on this package activly? According to the bug report 
there are some important issues. Maybe this package should be removed? It 
hasn't a maintainer now for ~2.5 years (and noone claims that he would 
like to take over).

Greetings
Winnie

-- 
 .''`.   Patrick Winnertz <winnie@debian.org>
:  :' :  GNU/Linux Debian Developer
`. `'`   http://www.der-winnie.de http://people.skolelinux.org/~winnie
  `-  Debian - when you have better things to do than fixing systems
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package `wnpp' to `ftp.debian.org'. Request was from Frank Lichtenheld <djpig@debian.org> to control@bugs.debian.org. (Thu, 31 Jul 2008 22:03:02 GMT) Full text and rfc822 format available.

Changed Bug title to `RM: falconseye -- RoQA; orphaned >3years with no interest, yet another nethack-fork, dead upstream' from `O: falconseye -- A port of NetHack using SDL'. Request was from Frank Lichtenheld <djpig@debian.org> to control@bugs.debian.org. (Thu, 31 Jul 2008 22:03:03 GMT) Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #36 received at 320075-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 320075-close@bugs.debian.org
Cc: falconseye@packages.debian.org, falconseye@packages.qa.debian.org
Subject: Bug#320075: fixed
Date: Fri, 01 Aug 2008 23:33:19 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

falconseye |   1.9.3-16 | source, alpha, amd64, arm, armel, hppa, hurd-i386, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
falconseye-data |   1.9.3-16 | all

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 320075@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Mark Hymers (the ftpmaster behind the curtain)




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 30 Aug 2008 07:35:42 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 01:33:51 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.